Subject: bug#20097: 25.0.50; focus-out-hook doesn't work w/other emacsclient frame

From: Stefan Monnier <[email-masked]>
Date: Thu, 12 Mar 2015 11:01:56 -0400

> I think focus-out-hook doesn't work as expected when used with other
> emacsclient that belong to the same daemon.  Of course I could be
> misunderstanding the meaning of "input focus" cf. the docstring.

`focus-out-hook' is run when focus moved away from Emacs (at least,
that's the intention).

If you want a hook run when switching between frames, then I think
you'll need to catch the `switch-frame' event (yes, this sucks: one is
a hook, the other is an event), which is normally handled by
handle-switch-frame via a binding in the global-map.

So IIUC I think that what you're seeing is not a bug.  But I'm not sure IUC.

        Stefan